curl --request GET \
--url https://partner.peaka.studio/api/v1/connections/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner.peaka.studio/api/v1/connections/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner.peaka.studio/api/v1/connections/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connectionType": "<string>",
"connectionTypeLabel": "<string>",
"name": "<string>",
"authorizationType": "<string>",
"credentialSchemaType": "<string>",
"redirectRequired": true,
"category": "<string>",
"configuration": [
{
"fieldName": "<string>",
"fieldType": "text",
"required": true,
"description": "<string>"
}
],
"documentationUrl": "<string>"
}List Connection Config
List all connection configurations. This will return a list of all connection configurations available in the system.


Authorizations
Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication
Response
List of connection configurations
The type of the connection. e.g. stripe, airtable, etc.
The label for the connection type.
The name of the connection.
The type of authorization used for the connection. e.g. oauth2, api_key, bearer_token, etc.
The type of the credential schema used for the connection.
Flag to indicate if the connection requires redirection to a 3rd party platform.
e.g. OAuth2 connections often require redirection to the 3rd party platform for authorization.
If this flag is set to true, the connection will be redirected to the 3rd party platform for authorization.
According to your use case, some extra steps may be required to complete the authorization process.
See: https://docs.peaka.com/how-to-guides/how-to-create-oauth2-based-connections-via-peaka
The category of the connection.
The list of configuration fields for the connection.
Show child attributes
Show child attributes
The URL for the documentation of the connection.